Safari View Controller error with Phonegap


#1

Is the Safari View Controller still compatible with the latest version of AppStudio?

Phonegap is returning an error when adding the plugin to the configxml under Properties as shown in the NSB blog post here–> (http://blog.nsbasic.com/2018/03/using-the-safari-view-controller-with-phonegap/).

Has anyone had success with this plugin and AppStudio?

The Phonegap log is showing the following:


* What went wrong:
A problem occurred configuring root project 'project'.
> Jack is required to support java 8 language features. Either enable Jack or remove sourceCompatibility JavaVersion.VERSION_1_8.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 0.946 secs
Command finished with error code 1: /project/gradlew cdvBuildDebug,-b,/project/build.gradle,-Dorg.gradle.daemon=true,-Dorg.gradle.jvmargs=-Xmx2048m,-Pandroid.useDeprecatedNdk=true
Error: /project/gradlew: Command failed with exit code 1 Error output:
FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project 'project'.
> Jack is required to support java 8 language features. Either enable Jack or remove sourceCompatibility JavaVersion.VERSION_1_8.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    at ChildProcess.whenDone (/project/cordova/node_modules/cordova-common/src/superspawn.js:169:23)
    at emitTwo (events.js:106:13)
    at ChildProcess.emit (events.js:191:7)
    at maybeClose (internal/child_process.js:877:16)
    at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
=============

#2

In Project Properties, what is PhoneGap Version set to? You might try setting it to cli-8.0.0.


#3

Phonegap version in Properties was blank and I set it to cli-8.0.0 but returns the same error in the Native Build Status dialog box. It seems it will only compile when I remove the safari view controller plugin.


#4

This seems like a PhoneGap issue - not AppStudio. You might try asking PhoneGap support.